﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Schedule;

namespace AppointmentMapping
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DateTime date = new DateTime(2017, 06, 19);
        public ObservableCollection<MappedAppointment> MappedAppointments { get; set; }

        public MainWindow()
        {
            this.InitializeComponent();
            this.Schedule.MoveToDate(date);
            MappedAppointments = new ObservableCollection<MappedAppointment>()
            {
                new MappedAppointment{MappedSubject = "Bday", MappedStartTime = date, MappedEndTime = date.AddHours(2),MappedReminderTime = this.GetReminderTimeType("Five Minutes")},
                new MappedAppointment{MappedSubject = "Meeting", MappedStartTime = date.AddHours(9), MappedEndTime = date.AddHours(12),MappedReminderTime =  this.GetReminderTimeType("None")},
            };
            this.DataContext = this;
        }

       internal ReminderTimeType GetReminderTimeType(string reminderTime)
        {
            if (reminderTime == "Five Minutes")
            {
                return ReminderTimeType.FiveMin;
            }
            else if (reminderTime == "Ten Minutes ")
            {
                return ReminderTimeType.TenMin;
            }
            return ReminderTimeType.None;
        }
    }

    public class MappedAppointment
    {
        public string MappedSubject { get; set; }
        public DateTime MappedStartTime { get; set; }
        public DateTime MappedEndTime { get; set; }
        public ReminderTimeType MappedReminderTime { get; set; }
    }
  
}
